# RSS Import

API for managing rss import

## Create an RSS Import

<mark style="color:green;">`POST`</mark> `https://www.magloft.com/api/portal/v1/rss_imports/:app_id`

This endpoint **creates** a new `RSS Import` and **returns** the saved `RSS Import`

#### Path Parameters

| Name    | Type   | Description                                     |
| ------- | ------ | ----------------------------------------------- |
| app\_id | String | App ID (Publication) to scope this request for. |

#### Request Body

| Name | Type   | Description                               |
| ---- | ------ | ----------------------------------------- |
| url  | String | External Blog URL to import articles from |

{% tabs %}
{% tab title="200 " %}

```javascript
{
  "id": 1234,
  "message_id": "123412341234",
  "url": "https://blog.magloft.com/feed/",
  "status": "pending",
  "created_at": "2018-01-24 10:55:35",
  "updated_at": "2018-01-24 10:55:35",
  "total": 14,
  "imported": 3
}
```

{% endtab %}
{% endtabs %}

## Get RSS Import

<mark style="color:blue;">`GET`</mark> `https://www.magloft.com/api/portal/v1/rss_imports/:app_id/:id`

This endpoint **returns** a specific `rss import` by `id`

#### Path Parameters

| Name    | Type    | Description                                     |
| ------- | ------- | ----------------------------------------------- |
| app\_id | String  | App ID (Publication) to scope this request for. |
| id      | Integer | RSS Import ID                                   |

{% tabs %}
{% tab title="200 " %}

```javascript
{
  "id": 1234,
  "message_id": "123412341234",
  "url": "https://blog.magloft.com/feed/",
  "status": "pending",
  "created_at": "2018-01-24 10:55:35",
  "updated_at": "2018-01-24 10:55:35",
  "total": 14,
  "imported": 3
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.docs.magloft.com/portal-api/rss_imports.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
